/**
 * 算法管理数据接口
 */
import request from '../index'

// 列表
export function getModelList(params: object) {
  return request({
    url: '/api/model/page',
    method: 'get',
    params,
  })
}

export function getModelAll(params: object) {
  return request({
    url: '/api/model/list',
    method: 'get',
    params,
  })
}
// 删除
export function removeModel(id: string) {
  return request({
    url: `/api/model/delete?model_id=${id}`,
    method: 'delete',
  })
}
// 新建
export function addModel(data: object) {
  return request({
    url: '/api/model/add',
    method: 'post',
    data,
  })
}

export function updateModel(data: object) {
  return request({
    url: '/api/model/update',
    method: 'post',
    data,
  })
}
